diff --git a/changelog b/changelog
index 7c5d8fe..a4b3797 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,26 @@
+20080106 tpd src/algebra/combfunc.spad \mathbb -> \bf
+20080106 tpd src/algebra/op.spad revert dgamma change, reject patch
+20080106 tpd src/scripts/tex/axiom.sty add binom for combfunc
+20080106 tpd src/doc/axiom.sty add binom for combfunc
+20080105 tpd src/input/Makefile add pfaffian
+20080105 tpd src/input/pfaffian.input created
+20080105 tpd src/algebra/acplot.spad fix output form of negative numbers
+20080105 tpd src/algebra/sf.spad fix output form of negative numbers
+20080105 tpd src/input/summation.input add mathml output
+20080105 tpd src/input/r20bugs.input change spacing in S 17
+20080105 tpd src/input/pmint.input rewrite
+20080105 tpd src/input/ndftip.input fix missing blank lines
+20080105 tpd src/input/mathml.input new mathml sub/sup handling
+20080105 tpd src/input/mapleok.input ignore gensyms
+20080105 tpd src/input/kamke3.input mark random generation failure ok
+20080105 tpd src/input/is.input type-declare the function f
+20080105 tpd src/input/intg0.input ignore gensyms
+20080105 tpd src/input/ico.input mark random generation failure ok
+20080105 tpd src/input/grpthry.input mark random generation failure ok
+20080105 tpd src/input/elemnum.input a + -bi now becomes a - bi
+20080105 tpd src/input/dfloat.input fix output form of negative numbers
+20080105 tpd src/input/classtalk.input ignore gensyms
+20080105 tpd src/algebra/integer.spad transparent(?) category change
 20080104 tpd changelog correct the author of besselk patches
 20080104 mxr src/input/repa6.input fix function names (7093)
 20080104 mxr src/input/knot2.input fix function names (7093)
diff --git a/src/algebra/acplot.spad.pamphlet b/src/algebra/acplot.spad.pamphlet
index 8a1ad4a..a39e3b6 100644
--- a/src/algebra/acplot.spad.pamphlet
+++ b/src/algebra/acplot.spad.pamphlet
@@ -228,8 +228,8 @@ makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT
 --R                       1         1      1         1
 --R        y + x = 0,   - - <= x <= -,   - - <= y <= -
 --R                       2         2      2         2
---R                        [0.5,-0.5]
---R                        [-0.5,0.5]
+--R                        [0.5,- 0.5]
+--R                        [- 0.5,0.5]
 --R                                                Type: PlaneAlgebraicCurvePlot
 --E 1
 )spool
diff --git a/src/algebra/combfunc.spad.pamphlet b/src/algebra/combfunc.spad.pamphlet
index 9da05e9..24dd91a 100644
--- a/src/algebra/combfunc.spad.pamphlet
+++ b/src/algebra/combfunc.spad.pamphlet
@@ -110,7 +110,7 @@ $$\binom{n}{k}+\binom{n}{k+1}=\binom{n+1}{k+1}.$$
 
 Alternatively, one can use the formula
 $$ \binom{n}{k}=\frac{\Gamma(n+1)}{\Gamma(k+1)\Gamma(n-k+1)}, $$
-and leave the case where $k\in\mathbb Z$, $n\in\mathbb Z$ and $k \leq n < 0$
+and leave the case where $k\in {\bf Z}$, $n\in {\bf Z}$ and $k \leq n < 0$
 undefined, since the limit does not exist in this case:
 
 Since we then have that $n-k+1\geq 1$, $\Gamma(n-k+1)$ is finite. So it is
@@ -123,7 +123,7 @@ $$\lim_{k_0\to k} \lim_{n_0\to n}\frac{\Gamma(n_0+1)}{\Gamma(k_0+1)}$$
 does not exist, since for non-integral $k_0$, $\Gamma(k_0+1)$ is finite while
 $\Gamma(n_0+1)$ is unbounded.
 
-However, since for $k\in\mathbb Z$, $n\in\mathbb Z$ and $0 < k < n$ both
+However, since for $k\in {\bf Z}$, $n\in {\bf Z}$ and $0 < k < n$ both
 definitions agree, one could also combine them. This is what, for example,
 Mathematica does. It seems that MuPAD sets [[binomial(n,n)=1]] for all
 arguments [[n]], and returns [[binomial(-2, n)]] unevaluated. Provisos may help
diff --git a/src/algebra/integer.spad.pamphlet b/src/algebra/integer.spad.pamphlet
index 16ac727..c415a4e 100644
--- a/src/algebra/integer.spad.pamphlet
+++ b/src/algebra/integer.spad.pamphlet
@@ -1323,7 +1323,7 @@ Note that this code is not included in the generated catdef.spad file.
 ++ Keywords: positive integer
 ++ Description: \spadtype{PositiveInteger} provides functions for
 ++   positive integers.
-PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
+PositiveInteger: Join(OrderedAbelianSemiGroup,Monoid) with
             gcd: (%,%) -> %
               ++ gcd(a,b) computes the greatest common divisor of two
               ++ positive integers \spad{a} and b.
diff --git a/src/algebra/op.spad.pamphlet b/src/algebra/op.spad.pamphlet
index 51d4d6c..cd18222 100644
--- a/src/algebra/op.spad.pamphlet
+++ b/src/algebra/op.spad.pamphlet
@@ -749,23 +749,7 @@ CommonOperators(): Exports == Implementation where
     dpi l    == "%pi"::Symbol::O
     dfact x  == postfix("!"::Symbol::O, (ATOM(x)$Lisp => x; paren x))
     dquote l == prefix(quote(first(l)::O), rest l)
-@
-It is certainly an abuse of OutputForm to produce a Gamma as done below.
-Originally, it was even worse (Issue~\#6):
-\begin{verbatim}
     dgamma l == prefix(hconcat("|"::Symbol::O, overbar(" "::Symbol::O)), l)
-\end{verbatim}
-which was TeXed to
-$${|{\overline{\ }}}
-\left(
-{x}
-\right).
-$$
-
-The right thing would be to introduce Greek letters in OutputForm, but
-that should be coordinated with the new mathml package
-<<package COMMONOP CommonOperators>>=
-    dgamma l == prefix(super("|"::Symbol::O, "-"::Symbol::O), l)
     setDummyVar(op, n) == setProperty(op, DUMMYVAR, n pretend None)
 
     dexp x ==
diff --git a/src/algebra/sf.spad.pamphlet b/src/algebra/sf.spad.pamphlet
index 571ccd0..1517c92 100644
--- a/src/algebra/sf.spad.pamphlet
+++ b/src/algebra/sf.spad.pamphlet
@@ -843,7 +843,7 @@ avg [3.4,9.7,-6.8]
 cos(3.1415926)$DoubleFloat
 --R 
 --R
---R   (9)  -0.99999999999999856
+--R   (9)  - 0.99999999999999856
 --R                                                            Type: DoubleFloat
 --E 9
 
@@ -851,7 +851,7 @@ cos(3.1415926)$DoubleFloat
 cos(3.1415926 :: DoubleFloat)
 --R 
 --R
---R   (10)  -0.99999999999999856
+--R   (10)  - 0.99999999999999856
 --R                                                            Type: DoubleFloat
 --E 10
 )spool
diff --git a/src/doc/axiom.sty.pamphlet b/src/doc/axiom.sty.pamphlet
index cce87ad..a8ffdba 100644
--- a/src/doc/axiom.sty.pamphlet
+++ b/src/doc/axiom.sty.pamphlet
@@ -1613,6 +1613,8 @@ macro. There must be a more elegant way of coding the tests below\ldots
 % We use providecommand so it doesn't clash with amsmath package
 \providecommand{\eth}[1]{{#1}-th}
 
+% add the binom function for combfunc
+\providecommand{\binom}[2]{\left(\begin{array}{c}#1\\#2\end{array}\right)}
 
 @ 
 \subsubsection{Support for English}
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 8b79668..df8457c 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -313,6 +313,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     float.regress     fname1.regress   fname.regress    fnla.regress \
     fns.regress       fparfrac.regress fparfrc.regress  fr1.regress \
     fr2.regress       frac.regress     fr.regress       galois.regress \
+    gamma.regress \
     gbf.regress       genups.regress   gonshor.regress  grpthry.regress \
     gstbl.regress     heap.regress     heat.regress     help.regress \
     herm.regress      hexadec.regress  ico.regress      ideal.regress \
@@ -342,7 +343,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     padic.regress     parabola.regress pascal1.regress  pascal.regress \
     patch51.regress   page.regress \
     patmatch.regress  pat.regress      perman.regress   perm.regress \
-    pfr1.regress      pfr.regress      pmint.regress \
+    pfaffian.regress  pfr1.regress     pfr.regress      pmint.regress \
     poly1.regress     polycoer.regress poly.regress     psgenfcn.regress \
     quat1.regress     quat.regress     r20abugs.regress r20bugs.regress \
     r21bugsbig.regress r21bugs.regress radff.regress    radix.regress \
@@ -599,7 +600,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/pascal.input   \
        ${OUT}/patch51.input \
        ${OUT}/patmatch.input ${OUT}/perman.input \
-       ${OUT}/perm.input     \
+       ${OUT}/perm.input     ${OUT}/pfaffian.input \
        ${OUT}/pfr.input      ${OUT}/pfr1.input \
        ${OUT}/pinch.input    ${OUT}/plotfile.input   ${OUT}/pollevel.input \
        ${OUT}/pmint.input    ${OUT}/polycoer.input \
@@ -648,7 +649,7 @@ FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
        ${OUT}/exlimit.input  \
        ${OUT}/expr.input     ${OUT}/exprode.input    ${OUT}/exseries.input \
        ${OUT}/exsum.input    ${OUT}/fns.input        \
-       ${OUT}/function.input ${OUT}/galois.input     \
+       ${OUT}/function.input ${OUT}/galois.input     ${OUT}/gamma.input \
        ${OUT}/grpthry.input \
        ${OUT}/help.input       ${OUT}/intef2.input \
        ${OUT}/intmix2.input  ${OUT}/knot2.input      ${OUT}/linalg.input \
@@ -806,6 +807,7 @@ DOCFILES= \
   ${DOC}/fr1.input.dvi         ${DOC}/fr2.input.dvi        \
   ${DOC}/frac.input.dvi        ${DOC}/fr.input.dvi         \
   ${DOC}/function.input.dvi    ${DOC}/galois.input.dvi     \
+  ${DOC}/gamma.input.dvi \
   ${DOC}/gary1.input.dvi       ${DOC}/gbf.input.dvi        \
   ${DOC}/genups.input.dvi      ${DOC}/gnarly1.input.dvi    \
   ${DOC}/gonshor.input.dvi     ${DOC}/graphics.input.dvi   \
@@ -881,7 +883,7 @@ DOCFILES= \
   ${DOC}/pat.input.dvi         ${DOC}/patch51.input.dvi   \
   ${DOC}/patmatch.input.dvi   \
   ${DOC}/pdecomp0.as.dvi       ${DOC}/perman.input.dvi     \
-  ${DOC}/perm.input.dvi        \
+  ${DOC}/perm.input.dvi        ${DOC}/pfaffian.input.dvi   \
   ${DOC}/pfr1.input.dvi       \
   ${DOC}/pfr.input.dvi         ${DOC}/pinch.input.dvi      \
   ${DOC}/plotfile.input.dvi    ${DOC}/plotlist.input.dvi   \
diff --git a/src/input/classtalk.input.pamphlet b/src/input/classtalk.input.pamphlet
index 7f89df1..2f3eca3 100644
--- a/src/input/classtalk.input.pamphlet
+++ b/src/input/classtalk.input.pamphlet
@@ -705,7 +705,7 @@ solve([x+y+z=8,3*x-2*y+z=0,x+2*y+2*z=17],[x,y,z])
 --S 70
 solve([x+2*y+3*z=2,2*x+3*y+4*z=2,3*x+4*y+5*z=2],[x,y,z])
 --R
---R   (2)  [[x= %W - 2,y= - 2%W + 2,z= %W]]
+--I   (2)  [[x= %W - 2,y= - 2%W + 2,z= %W]]
 --R                         Type: List List Equation Fraction Polynomial Integer
 --E 70
 
diff --git a/src/input/dfloat.input.pamphlet b/src/input/dfloat.input.pamphlet
index f3e3468..75eeb5f 100644
--- a/src/input/dfloat.input.pamphlet
+++ b/src/input/dfloat.input.pamphlet
@@ -86,7 +86,7 @@ avg [3.4,9.7,-6.8]
 cos(3.1415926)$DoubleFloat
 --R 
 --R
---R   (9)  -0.99999999999999856
+--R   (9)  - 0.99999999999999856
 --R                                                            Type: DoubleFloat
 --E 9
 
@@ -94,7 +94,7 @@ cos(3.1415926)$DoubleFloat
 cos(3.1415926 :: DoubleFloat)
 --R 
 --R
---R   (10)  -0.99999999999999856
+--R   (10)  - 0.99999999999999856
 --R                                                            Type: DoubleFloat
 --E 10
 )spool
diff --git a/src/input/elemnum.input.pamphlet b/src/input/elemnum.input.pamphlet
index 0581410..137b32d 100644
--- a/src/input/elemnum.input.pamphlet
+++ b/src/input/elemnum.input.pamphlet
@@ -176,7 +176,7 @@ x := 0.7::DoubleFloat
 --R 
 --R
 --R   (18)
---R   [0.69999999999999996, 0.69999999999999996, 0.69999999999999996,
+--R   [0.69999999999999996, 0.70000000000000007, 0.69999999999999996,
 --R    0.69999999999999996]
 --R                                                       Type: List DoubleFloat
 --E 18
@@ -255,7 +255,7 @@ x := 1.1::DoubleFloat
 --R 
 --R
 --R   (26)
---R   [1.1000000000000001, 1.1000000000000001, 1.1000000000000001,
+--R   [1.1000000000000003, 1.1000000000000001, 1.1000000000000001,
 --R    1.1000000000000001, 1.0999999999999999, 1.1000000000000001]
 --R                                                       Type: List DoubleFloat
 --E 26
@@ -351,25 +351,24 @@ qtest(sa, sb, 1)
 --R      PositiveInteger) -> List Complex DoubleFloat 
 --R
 --R   (35)
---R   [1.1102230246251565E-16,
---R    2.2204460492503131E-16 + -4.4408920985006262E-16 %i,
---R    -2.2204460492503131E-16,
---R    -4.4408920985006262E-16 + -2.2204460492503131E-16 %i,
---R    4.4408920985006262E-16, -1.1102230246251565E-16,
---R    -2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
+--R   [1.1102230246251565E-16, 2.2204460492503131E-16 - 4.4408920985006262E-16 %i,
+--R    - 2.2204460492503131E-16,
+--R    - 4.4408920985006262E-16 - 2.2204460492503131E-16 %i,
+--R    4.4408920985006262E-16, - 1.1102230246251565E-16,
+--R    - 2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
 --R    1.1102230246251565E-16,
---R    -2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
+--R    - 2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
---R    1.1102230246251565E-16 + -2.2204460492503131E-16 %i, 0.,
---R    -6.6613381477509392E-16 %i, -1.1102230246251565E-16,
---R    -4.4408920985006262E-16 + -4.4408920985006262E-16 %i,
---R    3.3306690738754696E-16 + -2.2204460492503131E-16 %i,
---R    -3.3306690738754696E-16,
---R    -4.4408920985006262E-16 + -4.4408920985006262E-16 %i,
---R    3.3306690738754696E-16 + -2.2204460492503131E-16 %i,
---R    -5.5511151231257827E-16, -2.2204460492503131E-16, -1.1102230246251565E-16,
---R    1.1102230246251565E-16, 0., -1.1102230246251565E-16,
---R    -1.1102230246251565E-16]
+--R    1.1102230246251565E-16 - 2.2204460492503131E-16 %i, 0.,
+--R    - 6.6613381477509392E-16 %i, - 1.1102230246251565E-16,
+--R    - 4.4408920985006262E-16 - 4.4408920985006262E-16 %i,
+--R    3.3306690738754696E-16 - 2.2204460492503131E-16 %i,
+--R    - 3.3306690738754696E-16,
+--R    - 4.4408920985006262E-16 - 4.4408920985006262E-16 %i,
+--R    3.3306690738754696E-16 - 2.2204460492503131E-16 %i,
+--R    - 5.5511151231257827E-16, - 2.2204460492503131E-16,
+--R    - 1.1102230246251565E-16, 1.1102230246251565E-16, 0.,
+--R    - 1.1102230246251565E-16, - 1.1102230246251565E-16]
 --R                                               Type: List Complex DoubleFloat
 --E 35
 
@@ -414,25 +413,24 @@ qtest(sa, sb, 2)
 --R 
 --R
 --R   (39)
---R   [-1.1102230246251565E-16,
---R    -2.2204460492503131E-16 + -4.4408920985006262E-16 %i,
---R    -3.3306690738754696E-16,
---R    4.4408920985006262E-16 + -2.2204460492503131E-16 %i,
---R    -4.4408920985006262E-16,
---R    1.1102230246251565E-16 + -2.2204460492503131E-16 %i,
---R    3.3306690738754696E-16 + -2.2204460492503131E-16 %i,
---R    -1.1102230246251565E-16,
---R    4.4408920985006262E-16 + -2.2204460492503131E-16 %i,
---R    -2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
---R    2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
---R    -1.1102230246251565E-16 + -2.2204460492503131E-16 %i,
---R    2.2204460492503131E-16 + -2.2204460492503131E-16 %i, 0.,
---R    4.4408920985006262E-16 + -4.4408920985006262E-16 %i, 0.,
---R    3.3306690738754696E-16,
---R    4.4408920985006262E-16 + -4.4408920985006262E-16 %i, 0.,
---R    8.8817841970012523E-16, 2.2204460492503131E-16, 1.1102230246251565E-16,
---R    3.3306690738754696E-16, -1.1102230246251565E-16, 1.1102230246251565E-16,
---R    2.2204460492503131E-16 + -2.2204460492503131E-16 %i]
+--R   [- 1.1102230246251565E-16,
+--R    - 2.2204460492503131E-16 - 4.4408920985006262E-16 %i,
+--R    - 3.3306690738754696E-16,
+--R    4.4408920985006262E-16 - 2.2204460492503131E-16 %i,
+--R    - 4.4408920985006262E-16,
+--R    1.1102230246251565E-16 - 2.2204460492503131E-16 %i,
+--R    3.3306690738754696E-16 - 2.2204460492503131E-16 %i,
+--R    - 1.1102230246251565E-16,
+--R    4.4408920985006262E-16 - 2.2204460492503131E-16 %i,
+--R    - 2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
+--R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
+--R    - 1.1102230246251565E-16 - 2.2204460492503131E-16 %i,
+--R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i, 0.,
+--R    4.4408920985006262E-16 - 4.4408920985006262E-16 %i, 0.,
+--R    3.3306690738754696E-16, 4.4408920985006262E-16 - 4.4408920985006262E-16 %i,
+--R    0., 8.8817841970012523E-16, 2.2204460492503131E-16, 1.1102230246251565E-16,
+--R    3.3306690738754696E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
+--R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i]
 --R                                               Type: List Complex DoubleFloat
 --E 39
 
@@ -472,20 +470,20 @@ qtest(sa, sb, 3)
 --R 
 --R
 --R   (43)
---R   [-1.1102230246251565E-16, 0.,
---R    -2.2204460492503131E-16 + 4.4408920985006262E-16 %i,
---R    -2.2204460492503131E-16, 1.1102230246251565E-16, -4.4408920985006262E-16,
---R    -1.1102230246251565E-16, -1.1102230246251565E-16,
+--R   [- 1.1102230246251565E-16, 0.,
+--R    - 2.2204460492503131E-16 + 4.4408920985006262E-16 %i,
+--R    - 2.2204460492503131E-16, 1.1102230246251565E-16, - 4.4408920985006262E-16,
+--R    - 1.1102230246251565E-16, - 1.1102230246251565E-16,
 --R    4.4408920985006262E-16 + 2.2204460492503131E-16 %i,
---R    -2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
+--R    - 2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
---R    -1.1102230246251565E-16 + 2.2204460492503131E-16 %i,
+--R    - 1.1102230246251565E-16 + 2.2204460492503131E-16 %i,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i, 0., 0.,
---R    -3.3306690738754696E-16 + 2.2204460492503131E-16 %i,
+--R    - 3.3306690738754696E-16 + 2.2204460492503131E-16 %i,
 --R    2.2204460492503131E-16 %i, 0.,
---R    -3.3306690738754696E-16 + 2.2204460492503131E-16 %i,
+--R    - 3.3306690738754696E-16 + 2.2204460492503131E-16 %i,
 --R    8.8817841970012523E-16, 2.2204460492503131E-16, 1.1102230246251565E-16,
---R    3.3306690738754696E-16, -1.1102230246251565E-16, 1.1102230246251565E-16,
+--R    3.3306690738754696E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i]
 --R                                               Type: List Complex DoubleFloat
 --E 43
@@ -529,16 +527,16 @@ qtest(sa, sb, 4)
 --R   (47)
 --R   [1.1102230246251565E-16, 0.,
 --R    3.3306690738754696E-16 + 4.4408920985006262E-16 %i, 2.2204460492503131E-16,
---R    -1.1102230246251565E-16,
---R    2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
+--R    - 1.1102230246251565E-16,
+--R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
 --R    2.2204460492503131E-16 + 2.2204460492503131E-16 %i, 1.1102230246251565E-16,
---R    -2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
---R    2.2204460492503131E-16 + -2.2204460492503131E-16 %i,
+--R    - 2.2204460492503131E-16 + 2.2204460492503131E-16 %i,
+--R    2.2204460492503131E-16 - 2.2204460492503131E-16 %i,
 --R    1.1102230246251565E-16 + 2.2204460492503131E-16 %i, 0.,
---R    6.6613381477509392E-16 %i, -1.1102230246251565E-16, 0., 0.,
---R    2.2204460492503131E-16 %i, 0., 0., -6.6613381477509392E-16,
---R    -2.2204460492503131E-16, -1.1102230246251565E-16, 1.1102230246251565E-16,
---R    0., -1.1102230246251565E-16, -1.1102230246251565E-16]
+--R    6.6613381477509392E-16 %i, - 1.1102230246251565E-16, 0., 0.,
+--R    2.2204460492503131E-16 %i, 0., 0., - 6.6613381477509392E-16,
+--R    - 2.2204460492503131E-16, - 1.1102230246251565E-16, 1.1102230246251565E-16,
+--R    0., - 1.1102230246251565E-16, - 1.1102230246251565E-16]
 --R                                               Type: List Complex DoubleFloat
 --E 47
 
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index b0296a4..e713c5c 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -1697,7 +1697,7 @@ ma := meatAxe r28.1
 --R                                          Type: List List Matrix PrimeField 2
 --E 34
 
---S 35 of 68
+--S 35 of 68 random generation, FAILURE OK.
 isAbsolutelyIrreducible? ma.1
 --R 
 --R   Random element in generated algebra does
diff --git a/src/input/ico.input.pamphlet b/src/input/ico.input.pamphlet
index 1643180..f096f56 100644
--- a/src/input/ico.input.pamphlet
+++ b/src/input/ico.input.pamphlet
@@ -344,7 +344,7 @@ p2:=point([real ca2,imag ca2,0.5])@Point(SF)
 p3:=point([real ca3,imag ca3,0.5])@Point(SF)
 --R 
 --R
---R   (34)  [-0.80901699437494745,0.58778525229247314,0.5]
+--R   (34)  [- 0.80901699437494745,0.58778525229247314,0.5]
 --R                                                      Type: Point DoubleFloat
 --E 35
 
@@ -352,7 +352,7 @@ p3:=point([real ca3,imag ca3,0.5])@Point(SF)
 p4:=point([real ca4,imag ca4,0.5])@Point(SF)
 --R 
 --R
---R   (35)  [-0.80901699437494745,-0.58778525229247314,0.5]
+--R   (35)  [- 0.80901699437494745,- 0.58778525229247314,0.5]
 --R                                                      Type: Point DoubleFloat
 --E 36
 
@@ -360,7 +360,7 @@ p4:=point([real ca4,imag ca4,0.5])@Point(SF)
 p5:=point([real ca5,imag ca5,0.5])@Point(SF)
 --R 
 --R
---R   (36)  [0.30901699437494745,-0.95105651629515353,0.5]
+--R   (36)  [0.30901699437494745,- 0.95105651629515353,0.5]
 --R                                                      Type: Point DoubleFloat
 --E 37
 
@@ -368,7 +368,7 @@ p5:=point([real ca5,imag ca5,0.5])@Point(SF)
 p6:=point([real cb1,imag cb1,-0.5])@Point(SF)
 --R 
 --R
---R   (37)  [0.80901699437494745,0.58778525229247314,-0.5]
+--R   (37)  [0.80901699437494745,0.58778525229247314,- 0.5]
 --R                                                      Type: Point DoubleFloat
 --E 38
 
@@ -376,7 +376,7 @@ p6:=point([real cb1,imag cb1,-0.5])@Point(SF)
 p7:=point([real cb2,imag cb2,-0.5])@Point(SF)
 --R 
 --R
---R   (38)  [-0.30901699437494745,0.95105651629515353,-0.5]
+--R   (38)  [- 0.30901699437494745,0.95105651629515353,- 0.5]
 --R                                                      Type: Point DoubleFloat
 --E 39
 
@@ -384,7 +384,7 @@ p7:=point([real cb2,imag cb2,-0.5])@Point(SF)
 p8:=point([real cb3,imag cb3,-0.5])@Point(SF)
 --R 
 --R
---R   (39)  [-1.,0.,-0.5]
+--R   (39)  [- 1.,0.,- 0.5]
 --R                                                      Type: Point DoubleFloat
 --E 40
 
@@ -392,7 +392,7 @@ p8:=point([real cb3,imag cb3,-0.5])@Point(SF)
 p9:=point([real cb4,imag cb4,-0.5])@Point(SF)
 --R 
 --R
---R   (40)  [-0.30901699437494745,-0.95105651629515353,-0.5]
+--R   (40)  [- 0.30901699437494745,- 0.95105651629515353,- 0.5]
 --R                                                      Type: Point DoubleFloat
 --E 41
 
@@ -400,7 +400,7 @@ p9:=point([real cb4,imag cb4,-0.5])@Point(SF)
 p10:=point([real cb5,imag cb5,-0.5])@Point(SF)
 --R 
 --R
---R   (41)  [0.80901699437494745,-0.58778525229247314,-0.5]
+--R   (41)  [0.80901699437494745,- 0.58778525229247314,- 0.5]
 --R                                                      Type: Point DoubleFloat
 --E 42
 
@@ -408,7 +408,7 @@ p10:=point([real cb5,imag cb5,-0.5])@Point(SF)
 p11:=point([0,0,-u-1/2])@Point(SF)
 --R 
 --R
---R   (42)  [0.,0.,-1.1180339887498949]
+--R   (42)  [0.,0.,- 1.1180339887498949]
 --R                                                      Type: Point DoubleFloat
 --E 43
 
diff --git a/src/input/intg0.input.pamphlet b/src/input/intg0.input.pamphlet
index ea802ef..bc5a258 100644
--- a/src/input/intg0.input.pamphlet
+++ b/src/input/intg0.input.pamphlet
@@ -32,7 +32,7 @@ y := sqrt(a * x + b)
 --E 1
 
 --S 2 of 25
-integrate(%,x)
+integrate(y,x)
 --R 
 --R
 --R                    +-------+
@@ -43,7 +43,7 @@ integrate(%,x)
 --E 2
 
 --S 3 of 25
-x * y
+t1:=x * y
 --R 
 --R
 --R          +-------+
@@ -52,7 +52,7 @@ x * y
 --E 3
 
 --S 4 of 25
-integrate(%,x)
+integrate(t1,x)
 --R 
 --R
 --R           2 2              2  +-------+
@@ -74,7 +74,7 @@ z := sqrt(a**2 - x**2)
 --E 5
 
 --S 6 of 25
-1 / z
+t2:=1 / z
 --R 
 --R
 --R              1
@@ -86,7 +86,7 @@ z := sqrt(a**2 - x**2)
 --E 6
 
 --S 7 of 25
-integrate(%,x)
+integrate(t2,x)
 --R 
 --R
 --R                 +---------+
@@ -98,7 +98,7 @@ integrate(%,x)
 --E 7
 
 --S 8 of 25
-x**2 * z
+t3:=x**2 * z
 --R 
 --R
 --R           +---------+
@@ -108,7 +108,7 @@ x**2 * z
 --E 8
 
 --S 9 of 25
-integrate(%,x)
+integrate(t3,x)
 --R 
 --R
 --R   (9)
@@ -133,7 +133,7 @@ integrate(%,x)
 --E 9
 
 --S 10 of 25
-x**3 / (a+b*x)**(1/3)
+t4:=x**3 / (a+b*x)**(1/3)
 --R 
 --R
 --R              3
@@ -145,7 +145,7 @@ x**3 / (a+b*x)**(1/3)
 --E 10
 
 --S 11 of 25
-integrate(%,x)
+integrate(t4,x)
 --R 
 --R
 --R              3 3         2 2       2          3 3+-------+2
@@ -157,7 +157,7 @@ integrate(%,x)
 --E 11
 
 --S 12 of 25
-1 / (x**3 * (a+b*x)**(1/3))
+t5:=1 / (x**3 * (a+b*x)**(1/3))
 --R 
 --R
 --R               1
@@ -168,7 +168,7 @@ integrate(%,x)
 --E 12
 
 --S 13 of 25
-integrate(%,x)
+integrate(t5,x)
 --R 
 --R
 --R   (13)
@@ -192,7 +192,7 @@ integrate(%,x)
 Examples of transcendentals over a curve of genus 0
 <<*>>=
 --S 14 of 25
-x / (y + y**2) + log(y + 1)
+t6:=x / (y + y**2) + log(y + 1)
 --R 
 --R
 --R           +-------+                +-------+
@@ -204,7 +204,7 @@ x / (y + y**2) + log(y + 1)
 --E 14
 
 --S 15 of 25
-integrate(%,x)
+integrate(t6,x)
 --R 
 --R
 --R   (15)
@@ -220,7 +220,7 @@ integrate(%,x)
 --E 15
 
 --S 16 of 25
-(2 + 1/sqrt(x)) * cos(x + sqrt x)
+t7:=(2 + 1/sqrt(x)) * cos(x + sqrt x)
 --R 
 --R
 --R            +-+          +-+
@@ -232,7 +232,7 @@ integrate(%,x)
 --E 16
 
 --S 17 of 25
-integrate(%,x)
+integrate(t7,x)
 --R 
 --R
 --R               +-+
@@ -244,7 +244,7 @@ integrate(%,x)
 One which does not have an elementary integral
 <<*>>=
 --S 18 of 25
-log(1 + y) / x
+t8:=log(1 + y) / x
 --R 
 --R
 --R              +-------+
@@ -255,13 +255,13 @@ log(1 + y) / x
 --E 18
 
 --S 19 of 25
-integrate(%,x)
+integrate(t8,x)
 --R 
 --R
 --R            x      +--------+
---R          ++  log(\|b + %K a  + 1)
---R   (19)   |   -------------------- d%K
---R         ++            %K
+--I          ++  log(\|b + %K a  + 1)
+--I   (19)   |   -------------------- d%K
+--I         ++            %K
 --R                                          Type: Union(Expression Integer,...)
 --E 19
 
@@ -269,7 +269,7 @@ integrate(%,x)
 Integrals of hyperbolic trigs are returned in terms of hyperb. trigs.
 <<*>>=
 --S 20 of 25
-(sinh(1+sqrt(x+b))+2*sqrt(x+b))/(sqrt(x+b)*(x+cosh(1+sqrt(x+b))))
+t9:=(sinh(1+sqrt(x+b))+2*sqrt(x+b))/(sqrt(x+b)*(x+cosh(1+sqrt(x+b))))
 --R 
 --R
 --R                   +-----+          +-----+
@@ -281,7 +281,7 @@ Integrals of hyperbolic trigs are returned in terms of hyperb. trigs.
 --E 20
 
 --S 21 of 25
-integrate(%,x)
+integrate(t9,x)
 --R 
 --R
 --R                              +-----+
@@ -296,7 +296,7 @@ integrate(%,x)
 Examples of genus 0 functions presented as transcendentals
 <<*>>=
 --S 22 of 25
-tan(atan(x)/2)
+t10:=tan(atan(x)/2)
 --R 
 --R
 --R             atan(x)
@@ -306,7 +306,7 @@ tan(atan(x)/2)
 --E 22
 
 --S 23 of 25
-integrate(%,x)
+integrate(t10,x)
 --R 
 --R
 --R   (23)
@@ -328,7 +328,7 @@ integrate(%,x)
 --E 23
 
 --S 24 of 25
-tan(atan(x)/3)
+t11:=tan(atan(x)/3)
 --R 
 --R
 --R             atan(x)
@@ -338,7 +338,7 @@ tan(atan(x)/3)
 --E 24
 
 --S 25 of 25
-integrate(%,x)
+integrate(t11,x)
 --R 
 --R
 --R                   atan(x) 2             atan(x) 2           atan(x)
diff --git a/src/input/is.input.pamphlet b/src/input/is.input.pamphlet
index 8ee12d6..7dd1ade 100644
--- a/src/input/is.input.pamphlet
+++ b/src/input/is.input.pamphlet
@@ -37,32 +37,37 @@ but we code using the pattern matching syntax:
 The 'integer' is to return an integer instead of a polynomial
 \end{verbatim}
 <<*>>=
---S 1 of 4
+--S 1 of 5
+f: INT -> INT
+--R                                                                   Type: Void
+--E 1
+
+--S 2 of 5
  f n ==
    not empty?(u := Is(n, 2*m%)) => integer eval(m%, u)
    3 * n + 1
 --R 
 --R                                                                   Type: Void
---E 1
+--E 2
 
 )set stream showall on
  
 @
 The function g generates the stream of the repeated applications of f
 <<*>>=
---S 2 of 4
+--S 3 of 5
 g(n:INT):STREAM(INT) == generate(f, n)
 --R 
 --R   Function declaration g : Integer -> Stream Integer has been added to
 --R      workspace.
 --R                                                                   Type: Void
---E 2
+--E 3
 
 @
 There is a conjecture that g(n) gets into the cycle (1 4 2)
 for every n
 <<*>>=
---S 3 of 4
+--S 4 of 5
 s := g 27
 --R 
 --R   Compiling function f with type Integer -> Integer 
@@ -70,9 +75,9 @@ s := g 27
 --R
 --R   (3)  [27,82,41,124,62,31,94,47,142,71,...]
 --R                                                         Type: Stream Integer
---E 3
+--E 4
 
---S 4 of 4
+--S 5 of 5
 extend(s, 150)
 --R 
 --R
@@ -88,7 +93,7 @@ extend(s, 150)
 --R    10, 5, 16, 8, 4, 2, 7, 22, 11, 34, 17, 52, 26, 13, 40, 20, 10, 5, 16, 8, 4,
 --R    2, 7, 22, 11, 34, 17, 52, 26, ...]
 --R                                                         Type: Stream Integer
---E 4
+--E 5
 )spool 
 )lisp (bye)
  
diff --git a/src/input/kamke3.input.pamphlet b/src/input/kamke3.input.pamphlet
index 2d9ac94..fc280ab 100644
--- a/src/input/kamke3.input.pamphlet
+++ b/src/input/kamke3.input.pamphlet
@@ -1249,7 +1249,7 @@ ode180 := (a*x**2+b*x+c)*(x*D(y(x),x)-y(x)) - y(x)**2 + x**2
 --R                                                     Type: Expression Integer
 --E 84
 
---S 85 of 139
+--S 85 of 139  random generation, FAILURE OK.
 yx:=solve(ode180,y,x)
 --R 
 --R   WARNING (genufact): No known algorithm to factor
diff --git a/src/input/mapleok.input.pamphlet b/src/input/mapleok.input.pamphlet
index c468cb3..1fb777d 100644
--- a/src/input/mapleok.input.pamphlet
+++ b/src/input/mapleok.input.pamphlet
@@ -662,50 +662,50 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R         ROOT
 --R                 +-----------------------------------------+
 --R                 |         2                          2          +-+
---R                \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R              + 
 --R                    +-+
---R                - 4\|2 %%BC0
+--I                - 4\|2 %%BC0
 --R           /
 --R                +-+
 --R              2\|2
 --R      *
 --R         log
 --R                              +-+            +-+             +-+           +-+
---R                      ((24576\|2 %%BC0 - 768\|2 )%%BC1 - 768\|2 %%BC0 - 48\|2 )
+--I                      ((24576\|2 %%BC0 - 768\|2 )%%BC1 - 768\|2 %%BC0 - 48\|2 )
 --R                   *
 --R                       +-----------------------------------------+
 --R                       |         2                          2
---R                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                  + 
 --R                                             2               2
---R                    (196608%%BC0 - 6144)%%BC1  + (196608%%BC0  + 384)%%BC1
+--I                    (196608%%BC0 - 6144)%%BC1  + (196608%%BC0  + 384)%%BC1
 --R                  + 
 --R                               2
---R                    - 6144%%BC0  + 384%%BC0 + 48
+--I                    - 6144%%BC0  + 384%%BC0 + 48
 --R               *
 --R                  ROOT
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                       + 
 --R                             +-+          +-+
---R                         - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                         - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                    /
 --R                         +-+
 --R                       2\|2
 --R              + 
---R                  ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
+--I                  ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
 --R               *
 --R                   +-----------------------------------------+
 --R                   |         2                          2
---R                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R              + 
 --R                         +-+             +-+      2
---R                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R              + 
 --R                         +-+     2      +-+              +-+     2      +-+
---R                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
+--I                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
 --R              + 
 --R                   +-+
 --R                60\|2
@@ -717,55 +717,55 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R            ROOT
 --R                    +-----------------------------------------+
 --R                    |         2                          2          +-+
---R                   \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                   \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R                 + 
 --R                       +-+
---R                   - 4\|2 %%BC0
+--I                   - 4\|2 %%BC0
 --R              /
 --R                   +-+
 --R                 2\|2
 --R         *
 --R            log
---R                         ((24576%%BC0 - 768)%%BC1 - 768%%BC0 - 48)
+--I                         ((24576%%BC0 - 768)%%BC1 - 768%%BC0 - 48)
 --R                      *
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                     + 
 --R                              +-+             +-+      2
---R                       (98304\|2 %%BC0 - 3072\|2 )%%BC1
+--I                       (98304\|2 %%BC0 - 3072\|2 )%%BC1
 --R                     + 
 --R                              +-+     2       +-+              +-+     2
---R                       (98304\|2 %%BC0  + 192\|2 )%%BC1 - 3072\|2 %%BC0
+--I                       (98304\|2 %%BC0  + 192\|2 )%%BC1 - 3072\|2 %%BC0
 --R                     + 
 --R                           +-+           +-+
---R                       192\|2 %%BC0 + 24\|2
+--I                       192\|2 %%BC0 + 24\|2
 --R                  *
 --R                     ROOT
 --R                             +-----------------------------------------+
 --R                             |         2                          2
---R                            \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                            \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                          + 
 --R                                +-+          +-+
---R                            - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                            - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                       /
 --R                            +-+
 --R                          2\|2
 --R                 + 
---R                     ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
+--I                     ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
 --R                  *
 --R                      +-----------------------------------------+
 --R                      |         2                          2
---R                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                 + 
 --R                            +-+             +-+      2
---R                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R                 + 
 --R                            +-+     2      +-+              +-+     2
---R                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
+--I                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
 --R                 + 
 --R                      +-+           +-+
---R                   48\|2 %%BC0 + 42\|2
+--I                   48\|2 %%BC0 + 42\|2
 --R              /
 --R                  +-+
 --R                 \|2
@@ -774,56 +774,56 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R            ROOT
 --R                      +-----------------------------------------+
 --R                      |         2                          2          +-+
---R                   - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                   - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R                 + 
 --R                       +-+
---R                   - 4\|2 %%BC0
+--I                   - 4\|2 %%BC0
 --R              /
 --R                   +-+
 --R                 2\|2
 --R         *
 --R            log
 --R                                    +-+            +-+             +-+
---R                             (24576\|2 %%BC0 - 768\|2 )%%BC1 - 768\|2 %%BC0
+--I                             (24576\|2 %%BC0 - 768\|2 )%%BC1 - 768\|2 %%BC0
 --R                           + 
 --R                                  +-+
 --R                             - 48\|2
 --R                      *
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                     + 
 --R                                                  2
---R                       (- 196608%%BC0 + 6144)%%BC1
+--I                       (- 196608%%BC0 + 6144)%%BC1
 --R                     + 
 --R                                     2                        2
---R                       (- 196608%%BC0  - 384)%%BC1 + 6144%%BC0  - 384%%BC0 - 48
+--I                       (- 196608%%BC0  - 384)%%BC1 + 6144%%BC0  - 384%%BC0 - 48
 --R                  *
 --R                     ROOT
 --R                               +-----------------------------------------+
 --R                               |         2                          2
---R                            - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                            - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                          + 
 --R                                +-+          +-+
---R                            - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                            - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                       /
 --R                            +-+
 --R                          2\|2
 --R                 + 
---R                     ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
+--I                     ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
 --R                  *
 --R                      +-----------------------------------------+
 --R                      |         2                          2
---R                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                 + 
 --R                            +-+             +-+      2
---R                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R                 + 
 --R                            +-+     2      +-+              +-+     2
---R                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
+--I                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
 --R                 + 
 --R                      +-+           +-+
---R                   48\|2 %%BC0 + 60\|2
+--I                   48\|2 %%BC0 + 60\|2
 --R              /
 --R                  +-+
 --R                 \|2
@@ -831,52 +831,52 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R         ROOT
 --R                   +-----------------------------------------+
 --R                   |         2                          2          +-+
---R                - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R              + 
 --R                    +-+
---R                - 4\|2 %%BC0
+--I                - 4\|2 %%BC0
 --R           /
 --R                +-+
 --R              2\|2
 --R      *
 --R         log
---R                      ((24576%%BC0 - 768)%%BC1 - 768%%BC0 - 48)
+--I                      ((24576%%BC0 - 768)%%BC1 - 768%%BC0 - 48)
 --R                   *
 --R                       +-----------------------------------------+
 --R                       |         2                          2
---R                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                  + 
 --R                             +-+             +-+      2
---R                    (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
+--I                    (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
 --R                  + 
 --R                             +-+     2       +-+              +-+     2
---R                    (- 98304\|2 %%BC0  - 192\|2 )%%BC1 + 3072\|2 %%BC0
+--I                    (- 98304\|2 %%BC0  - 192\|2 )%%BC1 + 3072\|2 %%BC0
 --R                  + 
 --R                          +-+           +-+
---R                    - 192\|2 %%BC0 - 24\|2
+--I                    - 192\|2 %%BC0 - 24\|2
 --R               *
 --R                  ROOT
 --R                            +-----------------------------------------+
 --R                            |         2                          2
---R                         - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                       + 
 --R                             +-+          +-+
---R                         - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                         - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                    /
 --R                         +-+
 --R                       2\|2
 --R              + 
---R                  ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
+--I                  ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
 --R               *
 --R                   +-----------------------------------------+
 --R                   |         2                          2
---R                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R              + 
 --R                         +-+             +-+      2
---R                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R              + 
 --R                         +-+     2      +-+              +-+     2      +-+
---R                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
+--I                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
 --R              + 
 --R                   +-+
 --R                42\|2
@@ -888,55 +888,55 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R            ROOT
 --R                      +-----------------------------------------+
 --R                      |         2                          2          +-+
---R                   - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                   - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R                 + 
 --R                       +-+
---R                   - 4\|2 %%BC0
+--I                   - 4\|2 %%BC0
 --R              /
 --R                   +-+
 --R                 2\|2
 --R         *
 --R            log
---R                         ((- 24576%%BC0 + 768)%%BC1 + 768%%BC0 + 48)
+--I                         ((- 24576%%BC0 + 768)%%BC1 + 768%%BC0 + 48)
 --R                      *
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                     + 
 --R                              +-+             +-+      2
---R                       (98304\|2 %%BC0 - 3072\|2 )%%BC1
+--I                       (98304\|2 %%BC0 - 3072\|2 )%%BC1
 --R                     + 
 --R                              +-+     2       +-+              +-+     2
---R                       (98304\|2 %%BC0  + 192\|2 )%%BC1 - 3072\|2 %%BC0
+--I                       (98304\|2 %%BC0  + 192\|2 )%%BC1 - 3072\|2 %%BC0
 --R                     + 
 --R                           +-+           +-+
---R                       192\|2 %%BC0 + 24\|2
+--I                       192\|2 %%BC0 + 24\|2
 --R                  *
 --R                     ROOT
 --R                               +-----------------------------------------+
 --R                               |         2                          2
---R                            - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                            - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                          + 
 --R                                +-+          +-+
---R                            - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                            - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                       /
 --R                            +-+
 --R                          2\|2
 --R                 + 
---R                     ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
+--I                     ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
 --R                  *
 --R                      +-----------------------------------------+
 --R                      |         2                          2
---R                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                 + 
 --R                            +-+             +-+      2
---R                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R                 + 
 --R                            +-+     2      +-+              +-+     2
---R                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
+--I                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
 --R                 + 
 --R                      +-+           +-+
---R                   48\|2 %%BC0 + 42\|2
+--I                   48\|2 %%BC0 + 42\|2
 --R              /
 --R                  +-+
 --R                 \|2
@@ -944,53 +944,53 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R         ROOT
 --R                   +-----------------------------------------+
 --R                   |         2                          2          +-+
---R                - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R              + 
 --R                    +-+
---R                - 4\|2 %%BC0
+--I                - 4\|2 %%BC0
 --R           /
 --R                +-+
 --R              2\|2
 --R      *
 --R         log
 --R                                   +-+            +-+             +-+
---R                          (- 24576\|2 %%BC0 + 768\|2 )%%BC1 + 768\|2 %%BC0
+--I                          (- 24576\|2 %%BC0 + 768\|2 )%%BC1 + 768\|2 %%BC0
 --R                        + 
 --R                             +-+
 --R                          48\|2
 --R                   *
 --R                       +-----------------------------------------+
 --R                       |         2                          2
---R                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                  + 
 --R                                             2               2
---R                    (196608%%BC0 - 6144)%%BC1  + (196608%%BC0  + 384)%%BC1
+--I                    (196608%%BC0 - 6144)%%BC1  + (196608%%BC0  + 384)%%BC1
 --R                  + 
 --R                               2
---R                    - 6144%%BC0  + 384%%BC0 + 48
+--I                    - 6144%%BC0  + 384%%BC0 + 48
 --R               *
 --R                  ROOT
 --R                            +-----------------------------------------+
 --R                            |         2                          2
---R                         - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         - \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                       + 
 --R                             +-+          +-+
---R                         - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                         - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                    /
 --R                         +-+
 --R                       2\|2
 --R              + 
---R                  ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
+--I                  ((3072%%BC0 - 384)%%BC1 - 384%%BC0 + 12)
 --R               *
 --R                   +-----------------------------------------+
 --R                   |         2                          2
---R                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R              + 
 --R                         +-+             +-+      2
---R                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R              + 
 --R                         +-+     2      +-+              +-+     2      +-+
---R                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
+--I                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
 --R              + 
 --R                   +-+
 --R                60\|2
@@ -1001,52 +1001,52 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R         ROOT
 --R                 +-----------------------------------------+
 --R                 |         2                          2          +-+
---R                \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R              + 
 --R                    +-+
---R                - 4\|2 %%BC0
+--I                - 4\|2 %%BC0
 --R           /
 --R                +-+
 --R              2\|2
 --R      *
 --R         log
---R                      ((- 24576%%BC0 + 768)%%BC1 + 768%%BC0 + 48)
+--I                      ((- 24576%%BC0 + 768)%%BC1 + 768%%BC0 + 48)
 --R                   *
 --R                       +-----------------------------------------+
 --R                       |         2                          2
---R                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                      \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                  + 
 --R                             +-+             +-+      2
---R                    (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
+--I                    (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
 --R                  + 
 --R                             +-+     2       +-+              +-+     2
---R                    (- 98304\|2 %%BC0  - 192\|2 )%%BC1 + 3072\|2 %%BC0
+--I                    (- 98304\|2 %%BC0  - 192\|2 )%%BC1 + 3072\|2 %%BC0
 --R                  + 
 --R                          +-+           +-+
---R                    - 192\|2 %%BC0 - 24\|2
+--I                    - 192\|2 %%BC0 - 24\|2
 --R               *
 --R                  ROOT
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                       + 
 --R                             +-+          +-+
---R                         - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                         - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                    /
 --R                         +-+
 --R                       2\|2
 --R              + 
---R                  ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
+--I                  ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
 --R               *
 --R                   +-----------------------------------------+
 --R                   |         2                          2
---R                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                  \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R              + 
 --R                         +-+             +-+      2
---R                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R              + 
 --R                         +-+     2      +-+              +-+     2      +-+
---R                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
+--I                (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0  + 48\|2 %%BC0
 --R              + 
 --R                   +-+
 --R                42\|2
@@ -1058,189 +1058,189 @@ in1185a:=integrate((z+1)^(1/2)/(1+z^4), z= 0..1,"noPole")
 --R            ROOT
 --R                    +-----------------------------------------+
 --R                    |         2                          2          +-+
---R                   \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
+--I                   \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1  - 4\|2 %%BC1
 --R                 + 
 --R                       +-+
---R                   - 4\|2 %%BC0
+--I                   - 4\|2 %%BC0
 --R              /
 --R                   +-+
 --R                 2\|2
 --R         *
 --R            log
 --R                                    +-+            +-+             +-+
---R                           (- 24576\|2 %%BC0 + 768\|2 )%%BC1 + 768\|2 %%BC0
+--I                           (- 24576\|2 %%BC0 + 768\|2 )%%BC1 + 768\|2 %%BC0
 --R                         + 
 --R                              +-+
 --R                           48\|2
 --R                      *
 --R                          +-----------------------------------------+
 --R                          |         2                          2
---R                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                         \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                     + 
 --R                                                  2
---R                       (- 196608%%BC0 + 6144)%%BC1
+--I                       (- 196608%%BC0 + 6144)%%BC1
 --R                     + 
 --R                                     2                        2
---R                       (- 196608%%BC0  - 384)%%BC1 + 6144%%BC0  - 384%%BC0 - 48
+--I                       (- 196608%%BC0  - 384)%%BC1 + 6144%%BC0  - 384%%BC0 - 48
 --R                  *
 --R                     ROOT
 --R                             +-----------------------------------------+
 --R                             |         2                          2
---R                            \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                            \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                          + 
 --R                                +-+          +-+
---R                            - 4\|2 %%BC1 - 4\|2 %%BC0
+--I                            - 4\|2 %%BC1 - 4\|2 %%BC0
 --R                       /
 --R                            +-+
 --R                          2\|2
 --R                 + 
---R                     ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
+--I                     ((- 3072%%BC0 + 384)%%BC1 + 384%%BC0 - 12)
 --R                  *
 --R                      +-----------------------------------------+
 --R                      |         2                          2
---R                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
+--I                     \|- 96%%BC1  - 64%%BC0 %%BC1 - 96%%BC0  - 1
 --R                 + 
 --R                            +-+             +-+      2
---R                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
+--I                   (- 12288\|2 %%BC0 + 1536\|2 )%%BC1
 --R                 + 
 --R                            +-+     2      +-+              +-+     2
---R                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
+--I                   (- 12288\|2 %%BC0  + 48\|2 )%%BC1 + 1536\|2 %%BC0
 --R                 + 
 --R                      +-+           +-+
---R                   48\|2 %%BC0 + 60\|2
+--I                   48\|2 %%BC0 + 60\|2
 --R              /
 --R                  +-+
 --R                 \|2
 --R     + 
 --R       -
 --R             +------+
---R            \|4%%BC1
+--I            \|4%%BC1
 --R         *
 --R            log
 --R                            +-+             +-+      2
---R                     (98304\|2 %%BC0 - 3072\|2 )%%BC1
+--I                     (98304\|2 %%BC0 - 3072\|2 )%%BC1
 --R                   + 
 --R                            +-+     2       +-+               +-+     3
---R                     (98304\|2 %%BC0  + 192\|2 )%%BC1 + 98304\|2 %%BC0
+--I                     (98304\|2 %%BC0  + 192\|2 )%%BC1 + 98304\|2 %%BC0
 --R                   + 
 --R                         +-+           +-+
---R                     768\|2 %%BC0 - 36\|2
+--I                     768\|2 %%BC0 - 36\|2
 --R                *
 --R                    +------+
---R                   \|4%%BC1
+--I                   \|4%%BC1
 --R               + 
 --R                                         2              2
---R                 (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1
+--I                 (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1
 --R               + 
 --R                           3
---R                 12288%%BC0  + 96%%BC0 + 18
+--I                 12288%%BC0  + 96%%BC0 + 18
 --R     + 
 --R          +------+
---R         \|4%%BC1
+--I         \|4%%BC1
 --R      *
 --R         log
 --R                                          2              2
---R                  (98304%%BC0 - 3072)%%BC1  + (98304%%BC0  + 192)%%BC1
+--I                  (98304%%BC0 - 3072)%%BC1  + (98304%%BC0  + 192)%%BC1
 --R                + 
 --R                            3
---R                  98304%%BC0  + 768%%BC0 - 36
+--I                  98304%%BC0  + 768%%BC0 - 36
 --R             *
 --R                 +------+
---R                \|4%%BC1
+--I                \|4%%BC1
 --R            + 
 --R                                      2              2                        3
---R              (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1 + 12288%%BC0
+--I              (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1 + 12288%%BC0
 --R            + 
---R              96%%BC0 + 9
+--I              96%%BC0 + 9
 --R     + 
 --R       -
 --R             +------+
---R            \|4%%BC1
+--I            \|4%%BC1
 --R         *
 --R            log
 --R                                               2                2
---R                     (- 98304%%BC0 + 3072)%%BC1  + (- 98304%%BC0  - 192)%%BC1
+--I                     (- 98304%%BC0 + 3072)%%BC1  + (- 98304%%BC0  - 192)%%BC1
 --R                   + 
 --R                                 3
---R                     - 98304%%BC0  - 768%%BC0 + 36
+--I                     - 98304%%BC0  - 768%%BC0 + 36
 --R                *
 --R                    +------+
---R                   \|4%%BC1
+--I                   \|4%%BC1
 --R               + 
 --R                                         2              2
---R                 (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1
+--I                 (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1
 --R               + 
 --R                           3
---R                 12288%%BC0  + 96%%BC0 + 9
+--I                 12288%%BC0  + 96%%BC0 + 9
 --R     + 
 --R          +------+
---R         \|4%%BC1
+--I         \|4%%BC1
 --R      *
 --R         log
 --R                           +-+             +-+      2
---R                  (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
+--I                  (- 98304\|2 %%BC0 + 3072\|2 )%%BC1
 --R                + 
 --R                           +-+     2       +-+               +-+     3
---R                  (- 98304\|2 %%BC0  - 192\|2 )%%BC1 - 98304\|2 %%BC0
+--I                  (- 98304\|2 %%BC0  - 192\|2 )%%BC1 - 98304\|2 %%BC0
 --R                + 
 --R                        +-+           +-+
---R                  - 768\|2 %%BC0 + 36\|2
+--I                  - 768\|2 %%BC0 + 36\|2
 --R             *
 --R                 +------+
---R                \|4%%BC1
+--I                \|4%%BC1
 --R            + 
 --R                                      2              2                        3
---R              (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1 + 12288%%BC0
+--I              (12288%%BC0 - 1536)%%BC1  + (12288%%BC0  - 48)%%BC1 + 12288%%BC0
 --R            + 
---R              96%%BC0 + 18
+--I              96%%BC0 + 18
 --R     + 
 --R          +------+
---R         \|4%%BC0
+--I         \|4%%BC0
 --R      *
 --R         log
 --R                       +-+     3        +-+     2       +-+           +-+
---R                (98304\|2 %%BC0  + 3072\|2 %%BC0  + 576\|2 %%BC0 - 60\|2 )
+--I                (98304\|2 %%BC0  + 3072\|2 %%BC0  + 576\|2 %%BC0 - 60\|2 )
 --R             *
 --R                 +------+
---R                \|4%%BC0
+--I                \|4%%BC0
 --R            + 
 --R                          3            2
---R              - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 30
+--I              - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 30
 --R     + 
 --R       -
 --R             +------+
---R            \|4%%BC0
+--I            \|4%%BC0
 --R         *
 --R            log
 --R                            3            2                  +------+
---R                 (98304%%BC0  + 3072%%BC0  + 576%%BC0 - 60)\|4%%BC0
+--I                 (98304%%BC0  + 3072%%BC0  + 576%%BC0 - 60)\|4%%BC0
 --R               + 
 --R                             3            2
---R                 - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 21
+--I                 - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 21
 --R     + 
 --R          +------+
---R         \|4%%BC0
+--I         \|4%%BC0
 --R      *
 --R         log
 --R                           3            2                  +------+
---R              (- 98304%%BC0  - 3072%%BC0  - 576%%BC0 + 60)\|4%%BC0
+--I              (- 98304%%BC0  - 3072%%BC0  - 576%%BC0 + 60)\|4%%BC0
 --R            + 
 --R                          3            2
---R              - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 21
+--I              - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 21
 --R     + 
 --R       -
 --R             +------+
---R            \|4%%BC0
+--I            \|4%%BC0
 --R         *
 --R            log
 --R                            +-+     3        +-+     2       +-+           +-+
---R                   (- 98304\|2 %%BC0  - 3072\|2 %%BC0  - 576\|2 %%BC0 + 60\|2 )
+--I                   (- 98304\|2 %%BC0  - 3072\|2 %%BC0  - 576\|2 %%BC0 + 60\|2 )
 --R                *
 --R                    +------+
---R                   \|4%%BC0
+--I                   \|4%%BC0
 --R               + 
 --R                             3            2
---R                 - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 30
+--I                 - 12288%%BC0  - 1536%%BC0  - 144%%BC0 + 30
 --R  /
 --R     4
 --R                    Type: Union(f1: OrderedCompletion Expression Integer,...)
@@ -2116,7 +2116,7 @@ in13:=integrate(cos(z)^2*sin(z)^n, z)
 --R
 --R            z
 --R          ++         2       n
---R   (48)   |   cos(%K) sin(%K) d%K
+--I   (48)   |   cos(%K) sin(%K) d%K
 --R         ++
 --R                                          Type: Union(Expression Integer,...)
 --E 49
@@ -2818,8 +2818,8 @@ in160:=integrate((-z^2-z)^sin(z), z)
 --R 
 --R
 --R            z
---R          ++       2      sin(%K)
---R   (79)   |   (- %K  - %K)       d%K
+--I          ++       2      sin(%K)
+--I   (79)   |   (- %K  - %K)       d%K
 --R         ++
 --R                                          Type: Union(Expression Integer,...)
 --E 80
@@ -3006,10 +3006,10 @@ in161:=integrate((-z^2)^(1/3), z)
 in163:=integrate(log(z)*abs(exp(z)/z), z)
 --R 
 --R
---R            z              %K
+--I            z              %K
 --R          ++             %e
---R   (98)   |   log(%K)abs(----)d%K
---R         ++               %K
+--I   (98)   |   log(%K)abs(----)d%K
+--I         ++               %K
 --R                                          Type: Union(Expression Integer,...)
 --E 100
 
@@ -3018,8 +3018,8 @@ in166:=integrate((1+z)^z, z)
 --R 
 --R
 --R            z
---R          ++          %K
---R   (99)   |   (%K + 1)  d%K
+--I          ++          %K
+--I   (99)   |   (%K + 1)  d%K
 --R         ++
 --R                                          Type: Union(Expression Integer,...)
 --E 101
diff --git a/src/input/mathml.input.pamphlet b/src/input/mathml.input.pamphlet
index 461f32c..0cbcf7b 100644
--- a/src/input/mathml.input.pamphlet
+++ b/src/input/mathml.input.pamphlet
@@ -209,15 +209,17 @@ y:=operator 'y
 
 --S 14 of 21
 D(y(x,z),[x,x,z,x])
+--R 
 --R
 --R   (14)  y        (x,z)
 --R          ,1,1,2,1
 --R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
---R<mfrac><mrow><msup><mo>&#x02202;</mo><mn>4</mn></msup><mi>y</mi></mrow><mrow><mo>&#x02202;</mo><msup><mi>x</mi><mn>3</mn></msup><mo>&#x02202;</mo><mi>z</mi></mrow></mfrac><mo>(</mo><mi>x</mi><mo>,</mo><mi>z</mi><mo>)</mo>
+--R<msub><mi>y</mi><mrow><mo>,</mo><mn>1</mn><mo>,</mo><mn>1</mn><mo>,</mo><mn>2</mn><mo>,</mo><mn>1</mn></mrow></msub><mo>(</mo><mi><mi>x</mi></mi><mo>,</mo><mi><mi>z</mi></mi><mo>)</mo>
 --R</math>
 --R
 --R                                                     Type: Expression Integer
 --E 14
+
 )clear all
 
 --S 15 of 21
@@ -234,12 +236,13 @@ y:=operator 'y
 
 --S 16 of 21
 D(y x,x,2)
+--R 
 --R
 --R         ,,
 --R   (2)  y  (x)
 --R
 --R<math xmlns="http://www.w3.org/1998/Math/MathML" mathsize="big" display="block">
---R<mfrac><mrow><msup><mo>&#x02146;</mo><mn>2</mn></msup><mi>y</mi></mrow><mrow><mo>&#x02146;</mo><msup><mi>x</mi><mn>2</mn></msup></mrow></mfrac><mo>&#x02061;</mo><mo>(</mo><mi>x</mi><mo>)</mo>
+--R<msup><mi>y</mi><mrow><mo>&#x02032;</mo><mo>&#x02032;</mo></mrow></msup><mo>&#x02061;</mo><mo>(</mo><mi>x</mi><mo>)</mo>
 --R</math>
 --R
 --R                                                     Type: Expression Integer
diff --git a/src/input/ndftip.input.pamphlet b/src/input/ndftip.input.pamphlet
index 7b838a5..bbed72e 100644
--- a/src/input/ndftip.input.pamphlet
+++ b/src/input/ndftip.input.pamphlet
@@ -298,6 +298,7 @@ hdftA := nagHermitianDFT seqA;
 --R   Cannot convert from type Polynomial Integer to Vector Complex Float 
 --R      for value
 --R   hdftA
+--R
 --E 19
 --       +         2.48361         +
 --       |                         |
@@ -361,6 +362,7 @@ dftC :: Vector Float
 --RDaly Bug
 --R   Cannot convert from type Variable dftC to Vector Float for value
 --R   dftC
+--R
 --E 22
 -- [1.82616,1.86862,- 0.017503,0.502001,- 0.598725,- 0.0314404,- 2.62557]
 
@@ -824,7 +826,7 @@ nagDFT badSeqs
 --RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      nagDFT with argument type(s) 
---R                                 List Symbol
+--R                              Variable badSeqs
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
diff --git a/src/input/pmint.input.pamphlet b/src/input/pmint.input.pamphlet
index 280ab6e..ede0da7 100644
--- a/src/input/pmint.input.pamphlet
+++ b/src/input/pmint.input.pamphlet
@@ -22,7 +22,7 @@
 @
 \section{Rational Functions}
 <<*>>=
---S 1 of 28
+--S 1 of 29
 f:=(x^7-24*x^4-4*x^2+8*x-8)/(x^8+6*x^6+12*x^4+8*x^2)
 --R 
 --R
@@ -34,7 +34,7 @@ f:=(x^7-24*x^4-4*x^2+8*x-8)/(x^8+6*x^6+12*x^4+8*x^2)
 --R                                            Type: Fraction Polynomial Integer
 --E 1
 
---S 2 of 28
+--S 2 of 29
 g:=integrate(f,x)
 --R 
 --R
@@ -46,7 +46,7 @@ g:=integrate(f,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 2
 
---S 3 of 28
+--S 3 of 29
 differentiate(g,x)
 --R 
 --R
@@ -63,7 +63,7 @@ differentiate(g,x)
 @
 \section{Trigonometric Functions}
 <<*>>=
---S 4 of 28
+--S 4 of 29
 f:=(x-tan(x))/tan(x)^2 + tan(x)
 --R 
 --R
@@ -75,7 +75,7 @@ f:=(x-tan(x))/tan(x)^2 + tan(x)
 --R                                                     Type: Expression Integer
 --E 4
 
---S 5 of 28
+--S 5 of 29
 g:=integrate(f,x)
 --R 
 --R
@@ -86,7 +86,7 @@ g:=integrate(f,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 5
 
---S 6 of 28
+--S 6 of 29
 differentiate(g,x)
 --R 
 --R
@@ -102,8 +102,8 @@ differentiate(g,x)
 
 @
 \section{Log-Exp Functions}
-
---S 7 of 28
+<<*>>=
+--S 7 of 29
 f:=(1+x+x*exp(x))*(x+log(x)+exp(x)-1)/(x+log(x)+exp(x))^2/x
 --R 
 --R
@@ -115,7 +115,7 @@ f:=(1+x+x*exp(x))*(x+log(x)+exp(x)-1)/(x+log(x)+exp(x))^2/x
 --R                                                     Type: Expression Integer
 --E 7
 
---S 8 of 28
+--S 8 of 29
 g:=integrate(f,x)
 --R 
 --R
@@ -127,7 +127,7 @@ g:=integrate(f,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 8
 
---S 9 of 28
+--S 9 of 29
 differentiate(g,x)
 --R 
 --R
@@ -144,7 +144,7 @@ differentiate(g,x)
 @
 \section{Liouvillian special functions}
 <<*>>=
---S 10 of 28
+--S 10 of 29
 f:=exp(-x^2)+erf(x)/(erf(x)^3-erf(x)^2-erf(x)+1)
 --R 
 --R
@@ -157,82 +157,154 @@ f:=exp(-x^2)+erf(x)/(erf(x)^3-erf(x)^2-erf(x)+1)
 --R                                                     Type: Expression Integer
 --E 10
 
---S 11 of 28
+--S 11 of 29 
+g:=integrate(f,x)
+--R
+--R                                                      2
+--I           x         3          2                 - %G
+--I         ++  (erf(%G)  - erf(%G)  - erf(%G) + 1)%e      + erf(%G)
+--I   (2)   |   ---------------------------------------------------- d%G
+--R        ++                    3          2
+--I                       erf(%G)  - erf(%G)  - erf(%G) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 11
+
+--S 12 of 29
+differentiate(g,x)
+--R
+--R                                             2
+--R               3         2                - x
+--R        (erf(x)  - erf(x)  - erf(x) + 1)%e     + erf(x)
+--R   (3)  -----------------------------------------------
+--R                       3         2
+--R                 erf(x)  - erf(x)  - erf(x) + 1
+--R                                                     Type: Expression Integer
+--E 12
+
+)clear all
+
+--S 13 of 29
 f:=(exp(-x^2)+erf(x))/(erf(x)^3-erf(x)^2-erf(x)+1)
 --R 
 --R
 --R                     2
 --R                  - x
 --R                %e     + erf(x)
---R   (2)  ------------------------------
+--R   (1)  ------------------------------
 --R              3         2
 --R        erf(x)  - erf(x)  - erf(x) + 1
 --R                                                     Type: Expression Integer
---E 11
+--E 13
 
---S 12 of 28 used to work!
-integrate(f,x)
+--S 14 of 29 used to work!
+g:=integrate(f,x)
 --R 
 --R
 --R                           2
---R           x           - %G
---R         ++          %e      + erf(%G)
---R   (3)   |   --------------------------------- d%G
+--I           x           - %G
+--I         ++          %e      + erf(%G)
+--I   (3)   |   --------------------------------- d%G
 --R        ++          3          2
---R             erf(%G)  - erf(%G)  - erf(%G) + 1
+--I             erf(%G)  - erf(%G)  - erf(%G) + 1
 --R                                          Type: Union(Expression Integer,...)
---E 12
+--E 14
 -- should be:
 --    1   sqrt(%pi)     1                           1
 -- -  - ------------  - - sqrt(%pi) log(erf(x)+1) + - sqrt(%pi) log(erf(x)-1)
 --    4  erf(x) - 1     8                           8
 
+--S 15 of 29
+differentiate(g,x)
+--R
+--R                     2
+--R                  - x
+--R                %e     + erf(x)
+--R   (3)  ------------------------------
+--R              3         2
+--R        erf(x)  - erf(x)  - erf(x) + 1
+--R                                                     Type: Expression Integer
+--E 15
+
 )clear all
  
 @
 \section{Airy Functions}
 <<*>>=
 -- Axiom does not have a 2 argument form of the airyAi function
---S 13 of 28 will certainly fail
-f:=(x-airyAi(x)*airyAi(1,x))/(x^2-airyAi(x)^2)
---R
---E 13
-
---S 14 of 28 will certainly fail
-integrate(f,x)
+--  f:=(x-airyAi(x)*airyAi(1,x))/(x^2-airyAi(x)^2)
+--it has the integral
 --R
 --R  1                    1
 --R  - log(x+airyAi(x)) + - log(x-airyAi(x))
 --R  2                    2
---E 14
 
---S 15 of 28
+
+--S 16 of 29 will certainly fail
+f:=(x-airyAi(x))/(x^2-airyAi(x)^2)
+--R
+--R              1
+--R   (1)  -------------
+--R        airyAi(x) + x
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 29 will certainly fail
+g:=integrate(f,x)
+--R
+--R           x
+--R         ++         1
+--R   (2)   |   --------------- d%G
+--R        ++   airyAi(%G) + %G
+--R                                          Type: Union(Expression Integer,...)
+--E 17
+
+--S 18 of 29
+differentiate(g,x)
+--R
+--R              1
+--R   (3)  -------------
+--R        airyAi(x) + x
+--R                                                     Type: Expression Integer
+--E 18
+
+)clear all
+
+--S 19 of 29
 f:=x^2*airyAi(x)
 --R 
 --R
 --R         2
 --R   (1)  x airyAi(x)
 --R                                                     Type: Expression Integer
---E 15
+--E 19
 
---S 16 of 28 used to work
+--S 20 of 29 used to work
 g:=integrate(f,x)
 --R 
 --R
 --R           x
 --R         ++    2
---R   (2)   |   %G airyAi(%G)d%G
+--I   (2)   |   %G airyAi(%G)d%G
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
---E 16
+--E 20
 -- should be:
 --  -airyAi(x) + airyAi(1,x) x
 
+--S 21 of 29
+differentiate(g,x)
+--R
+--R         2
+--R   (3)  x airyAi(x)
+--R                                                     Type: Expression Integer
+--E 21
+
 )clear all
 
 @
 \section{Bessel functions}
---S 17 of 28
+<<*>>=
+--S 22 of 29
 f:=besselJ(y+1,x)/besselJ(y,x)
 --R 
 --R
@@ -240,49 +312,96 @@ f:=besselJ(y+1,x)/besselJ(y,x)
 --R   (1)  ----------------
 --R          besselJ(y,x)
 --R                                                     Type: Expression Integer
---E 17
+--E 22
 
---S 18 of 28 used to work
+--S 23 of 29 used to work
 g:=integrate(f,x)
 --R 
 --R
 --R           x
---R         ++  besselJ(y + 1,%G)
---R   (2)   |   ----------------- d%G
---R        ++     besselJ(y,%G)
+--I         ++  besselJ(y + 1,%G)
+--I   (2)   |   ----------------- d%G
+--I        ++     besselJ(y,%G)
 --R                                          Type: Union(Expression Integer,...)
---E 18
+--E 23
 -- should be:
 --  y log(x) - log(besselJ(y,x))
 
+--S 24 of 29
+differentiate(g,x)
+--R
+--R        besselJ(y + 1,x)
+--R   (3)  ----------------
+--R          besselJ(y,x)
+--R                                                     Type: Expression Integer
+--E 24
+
+)clear all
+
+
 -- Axiom does not have Maple's normal function
---S 19 of 28 used to work
-f:=normal(y*besselJ(y,x)/x = besselJ(y+1,x))
+--S 25 of 29 used to work
+--f:=normal(y*besselJ(y,x)/x - besselJ(y+1,x))
+f:=y*besselJ(y,x)/x - besselJ(y+1,x)
 --R
---E 19
--- should be:
---   besselJ(y+1,x) x - y besselJ(y,x)
--- - ---------------------------------
---                  x
+--R        - x besselJ(y + 1,x) + y besselJ(y,x)
+--R   (1)  -------------------------------------
+--R                          x
+--R                                                     Type: Expression Integer
+--E 25
+
+--S 26 of 29
+g:=integrate(f,x)
+--R
+--R           x
+--I         ++  - %G besselJ(y + 1,%G) + y besselJ(y,%G)
+--I   (2)   |   ---------------------------------------- d%G
+--I        ++                      %G
+--R                                          Type: Union(Expression Integer,...)
+--E 26
 
+--S 27 of 29
+differentiate(g,x)
+--R
+--R        - x besselJ(y + 1,x) + y besselJ(y,x)
+--R   (3)  -------------------------------------
+--R                          x
+--R                                                     Type: Expression Integer
+--E 27
 )clear all
 
 @
 \section{Whittaker functions}
---S 20 of 28 used to work
+<<*>>=
+--S 28 of 29 used to work
 f:=WhittakerW(u+1,n,x)/(WhittakerW(u,n,x)*x)
---R
---E 20
+--R 
+--R   There are no library operations named WhittakerW 
+--R      Use HyperDoc Browse or issue
+--R                             )what op WhittakerW
+--R      to learn if there is any operation containing " WhittakerW " in 
+--R      its name.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named 
+--R      WhittakerW with argument type(s) 
+--R                             Polynomial Integer
+--R                                 Variable n
+--R                                 Variable x
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 28
+
 -- Axiom does not implement WhittakerW
 -- should be:
 --  Whittaker(u+1,n,x)
 --  ------------------
 --  Whittaker(u,n,x) x
 
---S 21 of 28 used to work
-integrate(f,x)
---R
---E 21
+-- of 29 used to work
+--integrate(f,x)
+-- 22
 -- should be:
 --  x
 --  -  - u log(x) - log(WhattakerW(u,n,x))
@@ -294,25 +413,36 @@ integrate(f,x)
 \section{The Lambert W function} 
 <<*>>=
 -- Axiom does not implement LambertW
---S 22 of 28 used to work
+--S 29 of 29 used to work
 f:=LambertW(x)
---R
---E 22
-
---S 23 of 28 used to work
-g:=integrate(f,x)
---R
---E 23
+--R 
+--R   There are no library operations named LambertW 
+--R      Use HyperDoc Browse or issue
+--R                              )what op LambertW
+--R      to learn if there is any operation containing " LambertW " in its
+--R      name.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named 
+--R      LambertW with argument type(s) 
+--R                                 Variable x
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 29
+
+-- of 29 used to work
+-- g:=integrate(f,x)
+-- 24
 -- should be:
 --    2             2  2                2
 --   x + LambertW(x)  x  - LambertW(x) x
 --   ------------------------------------
 --          x LambertW(x)
 
---S 24 of 28 used to work
-integrate(sin(LambertW(x)),x)
---R
---E 24
+-- of 29 used to work
+-- integrate(sin(LambertW(x)),x)
+-- 25
 --should be:
 -- +-                                                  -+
 -- |                                     2              |
@@ -343,10 +473,9 @@ integrate(sin(LambertW(x)),x)
 --                  |         +-             -+   |
 --                  +-                           -+
 
---S 25 of 28 used to work
-f:=((x^2+2)*LambertW(x^2)^2+x^2*(2*LambertW(x^2)+1))/(x*(1+LambertW(x^2)^3))
---R
---E 25
+-- of 29 used to work
+--f:=((x^2+2)*LambertW(x^2)^2+x^2*(2*LambertW(x^2)+1))/(x*(1+LambertW(x^2)^3))
+-- 26
 --should be:
 --                       2
 --    2                2      2              2
@@ -356,10 +485,9 @@ f:=((x^2+2)*LambertW(x^2)^2+x^2*(2*LambertW(x^2)+1))/(x*(1+LambertW(x^2)^3))
 --                            2  
 --           x (1 + LambertW(x ))
 
---S 26 of 28 used to work
-integrate(f,x)
---R
---E 26
+-- of 29 used to work
+--integrate(f,x)
+-- 27
 --should be:
 --                 2                    4
 --1  4           2     4          2    x              2   2    2           2
@@ -374,10 +502,10 @@ integrate(f,x)
 --                     2
 --   log(1 + LambertW(x ))
 
---S 27 of 28 used to work
-f:=(2*LambertW(x^2)*cos(LambertW(x^2))*(a*x+LambertW(x^2))+a*x*(1+LambertW(x^2)) + 2*LambertW(x^2))/((1+LambertW(x^2))*(a*x+LambertW(x^2))*x)
---R
---E 27
+-- of 29 used to work
+--f:=(2*LambertW(x^2)*cos(LambertW(x^2))*(a*x+LambertW(x^2))+a*x*(1+LambertW(x^2)) + 2*LambertW(x^2))/((1+LambertW(x^2))*(a*x+LambertW(x^2))*x)
+--
+-- 28
 --+-                                                       -+
 --|                                                         |
 --|             2                2                    2     |
@@ -392,10 +520,10 @@ f:=(2*LambertW(x^2)*cos(LambertW(x^2))*(a*x+LambertW(x^2))+a*x*(1+LambertW(x^2))
 -- (1 + LambertW(x ))(a x+LambertW(x )) x
 --
 
---S 28 of 28 used to work
+-- 29 of 29 used to work
 integrate(f,x)
---R
---E 28
+--
+-- 29
 --   
 --        +-              -+
 --        | 1           2  |
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index b28c18b..d91d6ff 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -196,7 +196,8 @@ positiveRemainder(-1::SINT,-5::SINT)
 complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --R 
 --R
---R   (1)  [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--R   (1)
+--R   [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
 --R                                                Type: List List Complex Float
 --E 17
 
diff --git a/src/input/summation.input.pamphlet b/src/input/summation.input.pamphlet
index 78b7aa7..a1e2c42 100644
--- a/src/input/summation.input.pamphlet
+++ b/src/input/summation.input.pamphlet
@@ -16,6 +16,7 @@ This is bug 7057: summation is ambiguous.
 <<*>>=
 )spool summation.output
 )set message test on
+)set output mathml on
 )set message auto off
 )clear all
  
diff --git a/src/scripts/tex/axiom.sty b/src/scripts/tex/axiom.sty
index fdd8e27..3581b97 100755
--- a/src/scripts/tex/axiom.sty
+++ b/src/scripts/tex/axiom.sty
@@ -943,6 +943,8 @@ I'll try to avoid such incompatible changes in the future.}%
 % We use providecommand so it doesn't clash with amsmath package
 \providecommand{\eth}[1]{{#1}-th}
 
+% add the binom function for combfunc
+\providecommand{\binom}[2]{\left(\begin{array}{c}#1\\#2\end{array}\right)}
 
 % spadcommands are the actual text that you type at the axiom prompt
 \providecommand{\spadcommand}[1]%
